const express = require('express')
const { setProfileImage, updateProfileImage } = require('../../../controllers/application/verify/setProfileImageController')
const { setExpertise, updateExpertise } = require('../../../controllers/application/verify/expertiseController')
const { setGender } = require('../../../controllers/application/verify/genderController')
const { setSizes, updateSizes } = require('../../../controllers/application/verify/sizesController')
const { setColors, updateColors } = require('../../../controllers/application/verify/colorsController')
const { setCooperationType, updateCooperationType } = require('../../../controllers/application/verify/cooperationTypeController')
const { setConversation, updateConversation } = require('../../../controllers/application/verify/conversationController')
const { saveAuth, saveAuthValidationRules, updateShaba } = require('../../../controllers/application/verify/authController')
const { setAddress, updateAddress } = require('../../../controllers/application/verify/addressController')
const { setNationalCardImage } = require('../../../controllers/application/verify/setNationalCardImageController')
const blockCheck = require('../../../middlewares/blockCheck')
const auth = require('../../../middlewares/auth')
const { setServices, updateServices } = require('../../../controllers/application/verify/servicesController')
const router = express.Router()

router.post('/profile_image', setProfileImage)
router.patch('/profile_image', [blockCheck], [auth], updateProfileImage)
router.post('/expertise', setExpertise)
router.patch('/expertise', [blockCheck], [auth], updateExpertise)
router.post('/gender', setGender)
router.post('/sizes', setSizes)
router.patch('/sizes', [blockCheck], [auth], updateSizes)
router.post('/services', setServices)
router.patch('/services', [blockCheck], [auth], updateServices)
router.post('/colors', setColors)
router.patch('/colors', [blockCheck], [auth], updateColors)
router.post('/cooperation_type', setCooperationType)
router.patch('/cooperation_type', [blockCheck], [auth], updateCooperationType)
router.post('/conversation', setConversation)
router.patch('/conversation', [blockCheck], [auth], updateConversation)
router.post('/auth', saveAuthValidationRules(), saveAuth)
router.patch('/shaba', [blockCheck], [auth], updateShaba)
router.post('/address', setAddress)
router.patch('/address', [blockCheck], [auth], updateAddress)
router.post('/national_card_image', setNationalCardImage)

module.exports = router
